Package org.springframework.security.web.access.channel

# Class AbstractRetryEntryPoint

java.lang.Object
org.springframework.security.web.access.channel.AbstractRetryEntryPoint

All Implemented Interfaces:
  `ChannelEntryPoint`

Direct Known Subclasses:
  `RetryWithHttpEntryPoint`, `RetryWithHttpsEntryPoint`

public abstract class AbstractRetryEntryPoint extends Object implements ChannelEntryPoint

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.apache.commons.logging.Log`
`logger`

## Constructor Summary

Constructors
Constructor
Description
`AbstractRetryEntryPoint(String scheme, int standardPort)`

## Method Summary

Modifier and Type
Method
Description
`void`
`commence(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
Commences a secure channel.
`protected abstract Integer`
`getMappedPort(Integer mapFromPort)`
`protected final PortMapper`
`getPortMapper()`
`protected final PortResolver`
`getPortResolver()`
`protected final RedirectStrategy`
`getRedirectStrategy()`
`void`
`setPortMapper(PortMapper portMapper)`
`void`
`setPortResolver(PortResolver portResolver)`
`void`
`setRedirectStrategy(RedirectStrategy redirectStrategy)`
Sets the strategy to be used for redirecting to the required channel URL.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected final org.apache.commons.logging.Log logger

## Constructor Details

### AbstractRetryEntryPoint

public AbstractRetryEntryPoint(String scheme, int standardPort)

## Method Details

### commence

public void commence(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws IOException
Description copied from interface: `ChannelEntryPoint`
Commences a secure channel.

Implementations should modify the headers on the `ServletResponse` as necessary to commence the user agent using the implementation's supported channel type.

Specified by:
  `commence` in interface `ChannelEntryPoint`
Parameters:
  `request` - that a `ChannelProcessor` has rejected
  `response` - so that the user agent can begin using a new channel
Throws:
  `IOException`

### getMappedPort

protected abstract Integer getMappedPort(Integer mapFromPort)

### getPortMapper

protected final PortMapper getPortMapper()

### setPortMapper

public void setPortMapper(PortMapper portMapper)

### setPortResolver

public void setPortResolver(PortResolver portResolver)

### getPortResolver

protected final PortResolver getPortResolver()

### setRedirectStrategy

public void setRedirectStrategy(RedirectStrategy redirectStrategy)
Sets the strategy to be used for redirecting to the required channel URL. A `DefaultRedirectStrategy` instance will be used if not set.

Parameters:
  `redirectStrategy` - the strategy instance to which the URL will be passed.

### getRedirectStrategy

protected final RedirectStrategy getRedirectStrategy()